#ifndef H_CANNON_BALL
#define H_CANNON_BALL
#include "Weapon.h"

class CannonBall : public Weapon {
    public:
        static double defaultMass;
        static double defaultRadius;
        static double durability;


        virtual int getType();

        static void initialize();
        CannonBall();
        virtual ~CannonBall();

        virtual void doDamage(double Impactdamage, double
                ExplosionDamage, int from, World* world);
        virtual void draw();
        virtual void serialize(std::vector<unsigned char>& destination);
        static CannonBall* deserialize(std::vector<unsigned char>::iterator&
            it);


};

#endif
