#ifndef CONFIG_H
#define CONFIG_H

#include <string>
#include <iostream>
#include <fstream>
#include <map>


class Config{
    private:
	std::map<std::string,std::string> conf;
    public:
	Config();
        Config(std::string file);
	void	load(std::string file);
        void	save(std::string file);
	int	getInt(std::string key);
	double	getDouble(std::string key);
	std::string getString(std::string key);
};

#endif
