#ifndef H_EXPRESSION
#define H_EXPRESSION

#include <string>
#include <vector>

class Expression{
    public:
        Expression();
        Expression(const std::string& expression);
        double evaluate(double x);
        double evaluate(const std::vector<char>& variables, const std::vector<double>&
                valuation);


    private:
        std::string compute(std::string expression, const std::vector<char>& variables,
                const std::vector<double>& valuation);
        std::string expression;
        double functionCall(std::string function, double x);

};

#endif
