#ifndef H_OBJECT_GRAPHICS
#define H_OBJECT_GRAPHICS


#include "Metric.h"

class BasicObject;
class Surface;
class Ship;
class Twirler;
class BlackHole;
class Nebula;
class Asteroid;
class Missile;
class PlasmaBall;
class CannonBall;

class ObjectGraphics{
    public:
    static Surface surface;
    static void flip();
    static void begin();
    static void drawBasicObject(BasicObject* object);
    static void drawShip(Ship* object);
    static void drawAsteroid(Asteroid* object);
    static void drawTwirler(Twirler* object);
    static void drawBlackHole(BlackHole* object);
    static void drawNebula(Nebula* object);
    static void drawMissile(Missile* object);
    static void drawPlasmaBall(PlasmaBall* object);
    static void drawCannonBall(CannonBall* object);
    static void _drawObject(BasicObject* object, int R,int G,int B);
    static Metric m;
    static int show;
};

#endif
