#ifndef H_RANDOM
#define H_RANDOM

class Random{
    public:
    static int getInt(const int modulo);
    static double getDouble();
    static double getDouble(double max);
    static double getDouble(double min, double max);
    static double getCenteredDouble(double center,
             double distortion);
    static void randomize();
    private:
    static const int DOUBLE_GRANULARITY=2345678;
};

#endif
