#ifndef H_WIPER
#define H_WIPER

#include "MassObject.h"
#include "BasicObject.h"
#include <vector>

class World;

class Wiper{
    public:
    template <typename V>
        static void wipeMassObjects(V& objects, World* world){
            for (unsigned int q=0;q<objects.size(); q++)
                if (objects[q]->alive==false){
                    objects[q]->destroy(world);
                    delete objects[q];
                    objects[q]=objects[objects.size()-1];
                    objects.pop_back();
                    --q;
            }
        }

    template <typename V>
        static void wipeMasslessObjects(V& objects, World* world){
            (void) (world);
            for (unsigned int q=0;q<objects.size(); q++)
                if (objects[q]->alive==false){
                    delete objects[q];
                    objects[q]=objects[objects.size()-1];                    
                    objects.pop_back();
                    --q;
            }
        }
};

#endif
