#ifndef H_WORLD_ARRAYS
#define H_WORLD_ARRAYS

class WorldArrays;

#include <vector>
#include "BlackHole.h"
#include "Ship.h"
#include "Asteroid.h"
#include "PlasmaBall.h"
#include "CannonBall.h"
#include "Missile.h"
#include "Explosion.h"
#include "Nebula.h"
#include "Twirler.h"


class WorldArrays {
    public:
        std::vector<BlackHole> blackHoles;
        std::vector<Asteroid> asteroids;
        std::vector<Ship> myShips;
        std::vector<Ship> otherShips;
        std::vector<PlasmaBall> plasmaBalls;
        std::vector<CannonBall> cannonBalls;
        std::vector<Missile> missile;
        std::vector<Explosion> explosions;
        std::vector<Nebula> nebulas;
        std::vector<Twirler> twirlers;
        double actualTime;

        void clearAll();
};

#endif
