#include "WeaponSlot.h"
#include "Serializer.h"
#include "Types.h"
#include "PlasmaWeaponSlot.h"
#include "CannonWeaponSlot.h"
#include "MissileWeaponSlot.h"

WeaponSlot::~WeaponSlot(){
}

WeaponSlot* WeaponSlot::_deserialize(std::vector<unsigned
        char>::iterator& it){

    int type=Serializer::deserializeChar(it);
    if (type==Types::plasmaSlot) return
        PlasmaWeaponSlot::deserialize(it);
    if (type==Types::cannonSlot) return
        CannonWeaponSlot::deserialize(it);
    if (type==Types::missileSlot) return
        MissileWeaponSlot::deserialize(it);

    assert(false,"unknown weapon slot slot");
    return NULL;
}
