#ifndef H_ENGINE
#define H_ENGINE
#include <string>
#include "Timer.h"
#include "World.h"

class ProbojEngine{
    public:
        ProbojEngine();
        ~ProbojEngine();
        void initializeGame(const std::string& fileName);
        void runGame();


    private:
        World world;
        Timer timer;
        double GRAPHICS_DELAY;
        double SPEED_RATIO;
};

#endif
