#ifndef H_TWIRLER
#define H_TWIRLER

#include "Affector.h"

class Twirler: public Affector {
    public:
    double maxSpin;
    double spinPerSecond;
    int clockwise;

    virtual void affect(MassObject* object, World* world);
    Twirler();
    virtual ~Twirler();
    virtual void draw();
    virtual int getType();
    virtual void serialize(std::vector<unsigned char>& destination);
    static Twirler* deserialize(std::vector<unsigned char>::iterator&
            it);
    virtual void timeNotify(double timeDelta);
};

#endif
