#include "Random.h"
#include <stdlib.h>
#include <time.h>


#include "stdio.h"

// {{{ randomize OK
void Random::randomize(){
    srand(time(NULL));

}
// }}}

// {{{ getInt OK
int Random::getInt(const int modulo){
    return rand()%modulo; 
}
// }}}

// {{{ getDouble() OK
double Random::getDouble(){
    double t=(double)(rand()%DOUBLE_GRANULARITY)/(double) DOUBLE_GRANULARITY;
    return t;
}
// }}}

// {{{ getDouble(max) OK
double Random::getDouble(double max){
    return getDouble()*max;
}
// }}}

// {{{ getDouble(min,max) OK
double Random::getDouble(double min, double max){
    return min+getDouble(max-min);
}
// }}}

// {{{ getCenteredDouble(center,+-) OK
double Random::getCenteredDouble(double center,
             double distortion){
    return getDouble(center-distortion/2,center+distortion/2);
}
// }}}
