#include <sstream>
#include <iostream>

#include "Config.h"


Config::Config(){
}

Config::Config(std::string file){
    this-> load(file);
}

void Config::load(std::string file){
    std::ifstream fin;
    fin.open(file.c_str());
    std::string line;
    while(!std::getline(fin,line).eof()){
	unsigned int p=0;
	while(p<line.length()&&(p==' '||p=='\t'))p++;
	if(p>=line.length())continue;
	line=line.substr(p,line.length()-p);
	if(line[0]=='#')continue;
	std::stringstream ss(line);
	std::string a;
	ss>>a;
	p=a.length();
	while(p<line.length()&&(line[p]==' '||line[p]=='\t'))p++;
	this->conf[a]=line.substr(p,line.length()-p);
    }
}

void Config::save(std::string file){
    std::ofstream fout(file.c_str());
    for(std::map<std::string,std::string>::iterator i=this->conf.begin();i!=this->conf.end();i++){
	fout<<i->first<<" "<<i->second<<std::endl;
    }
    fout.close();
}


int strtoint(std::string s){
    std::stringstream ss(s);
    int a;
    ss>>a;
    return a;
}

double strtodouble(std::string s){
    std::stringstream ss(s);
    double a;
    ss>>a;
    return a;
}



int	Config::getInt(std::string key){
    return strtoint(this->conf[key]); 
}

double	Config::getDouble(std::string key){
    return strtodouble(this->conf[key]);
}

std::string Config::getString(std::string key){
    return this->conf[key];;;
}

